void ReturnToMenu(bool yieldTillReady = false) {
    auto app = cast<CGameManiaPlanet>(GetApp());
    if (app.Network.PlaygroundClientScriptAPI.IsInGameMenuDisplayed) {
        app.Network.PlaygroundInterfaceScriptHandler.CloseInGameMenu(CGameScriptHandlerPlaygroundInterface::EInGameMenuResult::Quit);
    }
    app.BackToMainMenu();
    while (yieldTillReady && !app.ManiaTitleControlScriptAPI.IsReady) yield();
}

void JoinServer(const string &in serverLogin) {
    ReturnToMenu(true);
    auto app = cast<CGameManiaPlanet>(GetApp());
    app.ManiaTitleControlScriptAPI.JoinServer(serverLogin, false, "");
}
